%define libname libxmlrpc

%def_disable cplusplus

Name: xmlrpc-c
Version: 1.12.00
Release: alt5

Summary: XML-RPC C library - an implementation of the xmlrpc protocol
License: BSD-style
Group: System/Libraries

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Url: http://xmlrpc-c.sourceforge.net/
Source: %name-%version.tar.bz2
Patch0: %name-1.12.00-alt-link-fixes.patch
Patch1: %name-1.12.00-alt-configure-fixes.patch
Patch2: %name-1.06.09-gentoo-curl-compile-fix.patch

BuildPreReq: libcurl-devel libxml2-devel w3c-libwww-devel
%if_enabled cplusplus
BuildPreReq: gcc-c++
%endif

%description
XML-RPC for C/C++ is programming libraries and related tools to help you
write an XML-RPC server or client in C or C++.

%package -n %libname
Summary: XML-RPC C library - an implementation of the xmlrpc protocol
Group: System/Libraries

%description -n %libname
XML-RPC for C/C++ is programming libraries and related tools to help you
write an XML-RPC server or client in C or C++.


%package -n %libname-devel
Summary: Files for developing applications that use %libname
Requires: %libname = %version
Requires: libcurl-devel libexpat-devel libssl-devel w3c-libwww-devel
Group: Development/C

%description -n %libname-devel
The header file for developing applications that use
%name.


%package -n %libname++
Summary: XML-RPC C++ library - an implementation of the xmlrpc protocol
Group: System/Libraries
Requires: %libname = %version

%description -n %libname++
XML-RPC for C/C++ is programming libraries and related tools to help you
write an XML-RPC server or client in C or C++.

This package contains C++ bindings for %libname.


%package -n %libname++-devel
Summary: Files for developing applications that use %libname++
Requires: %libname++ = %version
Requires: %libname-devel = %version
Group: Development/C++

%description -n %libname++-devel
The header file for developing applications that use
%libname++.


%prep
%setup
%patch0 -p1 -b .orig
%patch1 -p1
%patch2 -p1
%__subst '/AM_INIT_AUTOMAKE/d' configure.in
%__autoreconf
#%%__subst '\,^SUBDIRS,s,tools examples,,' GNUmakefile
#%%__subst 's,^TARGET_STATIC_LIBRARIES.*,TARGET_STATIC_LIBRARIES=,' src/cpp/Makefile

%build
#%%add_optflags %optflags_shared
%configure \
	--disable-static \
	--disable-abyss-server \
	--disable-cgi-server \
	%{subst_enable cplusplus} \
	--enable-libxml2-backend
# non-SMP
%make CFLAGS_COMMON="%optflags -DNDEBUG" CXXFLAGS_COMMON="%optflags -DNDEBUG" LIBINST_DIR="%_libdir"

%install
%makeinstall DESTDIR=%buildroot LIBINST_DIR="%_libdir"
#rm -f %buildroot%_includedir/
rm -f %buildroot%_libdir/*.a
rm -f %buildroot%_includedir/{XmlRpcCpp,xmlrpc_cgi}.h

%files -n %libname
%_libdir/libxmlrpc.so.*
#%%_libdir/libxmlrpc_abyss.so.*
%_libdir/libxmlrpc_client.so.*
%_libdir/libxmlrpc_server.so.*
#%%_libdir/libxmlrpc_server_abyss.so.*
#%%_libdir/libxmlrpc_server_cgi.so.*
%_libdir/libxmlrpc_util.so.*
%doc README doc/*

%files -n %libname-devel
%_bindir/%name-config
%_libdir/libxmlrpc.so
#%%_libdir/libxmlrpc_abyss.so
%_libdir/libxmlrpc_client.so
%_libdir/libxmlrpc_server.so
#%%_libdir/libxmlrpc_server_abyss.so
#%%_libdir/libxmlrpc_server_cgi.so
%_libdir/libxmlrpc_util.so
%_includedir/*

%if_enabled cplusplus
%files -n %libname++
%_libdir/libxmlrpc++.so.*
%_libdir/libxmlrpc_client++.so.*
%_libdir/libxmlrpc_cpp.so.*
%_libdir/libxmlrpc_server++.so.*
%_libdir/libxmlrpc_server_abyss++.so.*

%files -n %libname++-devel
%_libdir/libxmlrpc++.so
%_libdir/libxmlrpc_client++.so
%_libdir/libxmlrpc_cpp.so
%_libdir/libxmlrpc_server++.so
%_libdir/libxmlrpc_server_abyss++.so
%endif

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%if_enabled cplusplus
%post -n %libname++ -p /sbin/ldconfig
%postun -n %libname++ -p /sbin/ldconfig
%endif


%changelog
* Mon Apr 14 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.12.00-alt5
- fix building with new curl (Gentoo)

* Sun Jan 20 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.12.00-alt4
- correctly fix building with new autotools, now including x86_64 (authors
  seem to have no brain)

* Sat Dec 29 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.12.00-alt3
- fix building with new autotools

* Sat Oct 27 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.12.00-alt2
- fix x86_64 build (damir@), again
- fix broken symlinks in /usr/include

* Mon Oct 22 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.12.00-alt1
- 1.12.00
- disable optional server components
- disable C++ bindings

* Thu Apr 12 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.10.00-alt2
- fix License (#11485)
- put docs in one directory

* Fri Mar 30 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.10.00-alt1
- 1.10.0

* Wed Jan 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.09.00-alt1
- 1.09.00

* Fri Dec 08 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.08.00-alt4
- fix x86_64 build (damir@)

* Tue Dec 05 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.08.00-alt3
- package C++ bindings separately

* Thu Nov 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.08.00-alt2
- fix requires for devel subpackage according to 
  `xmlrpc-c-config client --libs' output

* Thu Nov 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.08.00-alt1
- 1.08.00

* Wed Aug 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.06.02-alt0.3
- Sisyphus build

* Sun Aug 13 2006 Damir Shayhutdinov <damir@altlinux.ru> 1.06.02-alt0.2
- Use automake for building.

* Mon Aug 07 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.06.02-alt0.1
- initial build
